/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.293 Revision 1.460
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.293 2007/08/17 19:37:18 graaff Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.460 2010/08/13 15:00:43 a3li Exp $
4
5 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
6 ruby-1.8.7_p299.ebuild:
7 Bump eselect-ruby dependency
8
9 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
10 -ruby-1.9.1_p429.ebuild:
11 Remove ebuild that is not target for unmask anyway.
12
13 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
14 ruby-1.9.2_rc2.ebuild:
15 Try 2 to fix the berkdb 5 issue on 1.9.
16
17 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
18 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
19 ruby-1.9.2_rc2.ebuild:
20 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
21 support for adding new patchsets without bumping the revision for all the
22 old ebuilds as well.
23
24*ruby-1.9.2_rc2 (14 Jul 2010)
25
26 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
27 +ruby-1.9.2_rc2.ebuild:
28 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
29 might cause _further_ build failures as it changed slightly behaviour.
30 You're going to need to rebuild rubygems and then all the packages
31 previously installed after upgrading to this.
32
33 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
34 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
35 -ruby-1.9.1_p376.ebuild:
36 Cleanup old versions.
37
38*ruby-1.9.1_p429 (04 Jul 2010)
39
40 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
41 +ruby-1.9.1_p429.ebuild:
42 Version bump to new 1.9.1 release.
43
44*ruby-1.8.7_p299 (23 Jun 2010)
45
46 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
47 +ruby-1.8.7_p299.ebuild:
48 Version bump.
49
50 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
51 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
52 remove useless comments
53
54 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
55 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
56 ruby-1.9.1_p376.ebuild:
57 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
58 dev.gentoo.org now.
59
60 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
61 ruby-1.9.1_p376.ebuild:
62 Use the correct RUBYLIB.
63
64*ruby-1.8.7_p249-r2 (18 May 2010)
65*ruby-1.8.6_p388-r1 (18 May 2010)
66
67 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
68 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
69 ruby-1.9.1_p376.ebuild, metadata.xml:
70 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
71 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
72 add USE flags for ncurses, readline and libedit, and properly depend on
73 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
74 Emacs versions support ruby-mode themselves and it should be even more
75 updated.
76
77*ruby-1.8.7_p249-r1 (06 May 2010)
78
79 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
80 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
81 309789 by Sune Kloppenborg Jeppesen.
82
83 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
84 ruby-1.8.7_p249.ebuild:
85 Use $PVR instead of $PV in patchset names
86
87 06 May 2010; Alex Legler <a3li@gentoo.org>
88 -files/ruby-1.8.6-memory-leak.diff,
89 -files/ruby18-mkmf-parallel-install.patch,
90 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
91 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
92 Remove old version. Cleanup in files/
93
94*ruby-1.9.1_p376 (01 May 2010)
95
96 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
97 Version bump. Fixes security bugs 296052 and 300468. No longer installs
98 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
99 instead.
100
101 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
102 -ruby-1.8.7_p174-r1.ebuild:
103 Remove vulnerable ebuilds, 300468
104
105 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
106 ruby-1.8.7_p249.ebuild:
107 amd64 stable, security bug 300468
108
109 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
110 ruby-1.8.7_p249.ebuild:
111 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
112
113 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
114 Stable for HPPA (bug #300468).
115
116 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
117 Stable for HPPA (bug #300468).
118
119 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
120 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
121
122 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
123 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
124
125 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
126 ruby-1.8.6_p388.ebuild:
127 stable x86, security bug 300468
128
129 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
130 ruby-1.8.7_p249.ebuild:
131 stable x86, security bug 300468
132
133*ruby-1.8.6_p388 (10 Jan 2010)
134
135 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
136 +ruby-1.8.6_p388.ebuild:
137 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
138 version. The new ebuild also has the fix for bug 168939.
139
140*ruby-1.8.7_p249 (10 Jan 2010)
141
142 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
143 +ruby-1.8.7_p249.ebuild:
144 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
145 version
146
147 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
148 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
149
150*ruby-1.8.7_p248 (25 Dec 2009)
151
152 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
153 Version bump
154
155 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
156 Remove old version.
157
158 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
159 Remove old version.
160
161 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
162 ia64/s390/sh stable wrt #288699
163
164 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
165 stable sparc, bug 288699
166
167 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
168 arm stable, bug #288699
169
170 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
171 amd64/x86 stable, bug #288699
172
173 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
174 ruby-1.8.7_p174-r1.ebuild:
175 Stable on alpha, bug #288699
176
177 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
178 ppc stable #288699
179
180 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
181 Stable for HPPA (bug #288699).
182
183 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
184 Marked ~hppa too.
185
186*ruby-1.8.7_p174-r1 (06 Oct 2009)
187
188 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
189 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
190 eselect-ruby cleanup feature.
191
192*ruby-1.9.1_p243 (09 Sep 2009)
193
194 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
195 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
196 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
197 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
198 -files/ruby19-rubygems-proxy.patch,
199 -files/ruby-1.9.1_p129-parallelmake.patch,
200 -files/ruby19-mkmf-parallel-install.patch:
201 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
202 168939. Cleaning up old patches.
203
204*ruby-1.8.6_p383 (20 Aug 2009)
205
206 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
207 Patchlevel bump.
208
209 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
210 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
211 ruby-1.9.1_p129-r1.ebuild:
212 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
213
214 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
215 Removing vulnerable ebuild, bug 273213.
216
217 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
218 Marking ruby-1.8.6_p369 ppc for bug 273213
219
220 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
221 ruby-1.9.1_p129-r1.ebuild:
222 Prepend our library path instead of overwriting it during src_install.
223 Thanks to the reporter of bug #274824.
224
225*ruby-1.8.7_p174 (18 Jun 2009)
226
227 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
228 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
229 Replacing 187_p173 with _p174 because of a regression. Unifying the
230 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
231 patchsets.
232
233 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
234 Marking ruby-1.8.6_p369 ppc64 for bug 273213
235
236 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
237 arm/ia64/s390/sh/sparc stable wrt #273213
238
239 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
240 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
241 Removing old version, minor cleanup
242
243 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
244 -files/ruby-1.8.6-openssl.patch,
245 -files/ruby-1.8.6-shortname_constants.patch,
246 -files/ruby-1.8.6_p111-r13657.patch,
247 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
248 Removing vulnerable old Ruby version and stale patches, bug 274108.
249
250 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
251 ruby-1.8.6_p369.ebuild:
252 Stable on alpha, bug #273213
253
254 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
255 Stable for HPPA (bug #273213).
256
257 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
258 ruby-1.8.6_p369.ebuild:
259 stable x86, security bug 273213
260
261 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
262 amd64 stable, security bug 273213.
263
264*ruby-1.8.7_p173 (10 Jun 2009)
265*ruby-1.8.6_p369 (10 Jun 2009)
266
267 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
268 +ruby-1.8.7_p173.ebuild:
269 Version bumps for bug #273213.
270
271*ruby-1.9.1_p129-r1 (27 May 2009)
272
273 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
274 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
275 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
276 +files/ruby-1.9.1_p129-parallelmake.patch:
277 Revision bump, add patches 1) to make Ruby behave more similarly between
278 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
279 extensions (undefined symbols in them will cause abort at runtime 3) to
280 remove a concurrency issue when building the dl extension that could
281 result in a broken dl.so.
282
283 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
284 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
285 Don't block rdoc-2 or later (which may enter Portage one day as it's
286 needed by some Rakefiles).
287
288 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
289 ruby-1.9.1_p129.ebuild:
290 Add ~x86-fbsd keyword.
291
292 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
293 keyword ~sparc-fbsd, bug #252315
294
295*ruby-1.9.1_p129 (15 May 2009)
296
297 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
298 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
299 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
300 included in every release.
301
302 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
303 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
304 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
305 ruby-1.8.7_p160.ebuild:
306 Removing vulnerable versions (#268515), fixing license (#233747).
307
308 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
309 Stable for HPPA (bug #268515).
310
311 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
312 Adapting rubygems notice.
313
314 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
315 amd64 stable, bug #268515.
316
317 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
318 arm/ia64/s390/sh/sparc stable wrt #268515
319
320 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
321 ruby-1.8.6_p368.ebuild:
322 stable x86, security bug 268515
323
324 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
325 ruby-1.8.6_p368.ebuild:
326 Stable on alpha, bug #268515
327
328 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
329 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
330
331*ruby-1.8.7_p160 (07 May 2009)
332*ruby-1.8.6_p368 (07 May 2009)
333
334 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
335 +ruby-1.8.7_p160.ebuild:
336 Version bump as per secbug 268515. NB: These are the first ebuilds that
337 no longer use ruby-config.
338
339*ruby-1.9.1-r1 (03 Apr 2009)
340*ruby-1.8.7_p72-r11 (03 Apr 2009)
341*ruby-1.8.6_p287-r13 (03 Apr 2009)
342
343 03 Apr 2009; Alex Legler <a3li@gentoo.org>
344 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
345 +files/ruby18-mkmf-parallel-install.patch,
346 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
347 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
348 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
349 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
350 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
351 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
352 happy.
353
354*ruby-1.9.1 (21 Mar 2009)
355
356 21 Mar 2009; Alex Legler <a3li@gentoo.org>
357 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
358 +ruby-1.9.1.ebuild:
359 Adding Ruby 1.9.1 for preliminary testing
360
361 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
362 ruby-1.8.6_p287-r12.ebuild:
363 Marked ~ppc for bug #252315.
364
365 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
366 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
367 bug 261982.
368
369 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
370 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
371 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
372 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
373 Cleanup
374
375*ruby-1.8.7_p72-r10 (07 Mar 2009)
376
377 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
378 +ruby-1.8.7_p72-r10.ebuild:
379 Add a revision of ruby 1.8.7 using eselect ruby.
380
381 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
382 ~mips keyworded, bug #252315.
383
384 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
385 ruby-1.8.6_p287-r5.ebuild:
386 ppc stable, bug #260006
387
388 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
389 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
390
391 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
392 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
393 Fixing Tk USE flag test, bug 258893.
394
395 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
396 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
397
398 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
399 ruby-1.8.6_p287-r5.ebuild:
400 amd64 stable wrt security bug #260006
401
402 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
403 Stable for HPPA (bug #260006).
404
405 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
406 ruby-1.8.6_p287-r5.ebuild:
407 Stable on alpha, bug #260006
408
409*ruby-1.8.7_p72-r2 (23 Feb 2009)
410*ruby-1.8.6_p287-r12 (23 Feb 2009)
411*ruby-1.8.6_p287-r5 (23 Feb 2009)
412
413 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
414 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
415 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
416 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
417 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
418 now before compilation if Tk useflags don't match) and 230748 (adding
419 --enable-option-checking=no for newer versions of autoconf).
420
421 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
422 arm/ia64/s390/sh/sparc stable wrt #254307
423
424 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
425 ruby-1.8.6_p287-r4.ebuild:
426 Stable on alpha, bug #254307
427
428 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
429 ruby-1.8.6_p287-r11.ebuild:
430 keyword ~x86-fbsd, bug #252315
431
432 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
433 ppc stable #254307
434
435 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
436 amd64/x86 stable, bug #254307
437
438 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
439 stable ppc64, bug 254307
440
441 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
442 Stable for HPPA (bug #254307).
443
444 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
445 ruby-1.8.6_p287-r11.ebuild:
446 Marked ~hppa (bug #252315).
447
448*ruby-1.8.6_p287-r11 (11 Jan 2009)
449
450 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
451 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
452 +ruby-1.8.6_p287-r11.ebuild:
453 Backport conditional definition of missing openssl functions from ruby 1.8.7.
454 Fixes #254307.
455
456 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
457 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
458
459 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
460 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
461
462 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
463 ruby-1.8.6_p287-r10.ebuild:
464 Add ~sparc keyword, bug #252315
465
466*ruby-1.8.6_p287-r10 (23 Dec 2008)
467
468 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
469 +ruby-1.8.6_p287-r10.ebuild:
470 Version bump which switches from ruby-config to eselect-ruby. Dropped most
471 keywords since eselect-ruby does not yet have these keywords.
472
473 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
474 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
475 Revert the ruby-config changes. We can't remove them until we provide an
476 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
477 for breaking things as mentioned in bug #251833.
478
479 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
480 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
481 ruby-1.8.7_p72-r1.ebuild:
482 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
483 Thanks for the people noticing this in bug #251833.
484
485 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
486 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
487 ruby-1.8.7_p72-r1.ebuild:
488 Drop dependency on ruby-config, which will be removed from the tree. We
489 currently only have one major version of ruby in the tree (Ruby 1.8), so there
490 is no need for ruby-config at this moment. For newer versions of Ruby we will
491 use eselect-ruby, which can be found in the ruby overlay at the moment.
492
493 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
494 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
495 Use mirror://ruby in SRC_URI, fixes #237392.
496
497 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
498 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
499 -ruby-1.8.7_p72.ebuild:
500 Remove old versions. Leave one old stable version with cjk support.
501
502*ruby-1.8.6_p287-r3 (29 Nov 2008)
503
504 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
505 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
506 +ruby-1.8.6_p287-r3.ebuild:
507 Fix our expansion limit patch according to debian bug report
508 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
509 make sure people will pick up the fixed version. Thanks to Alex Legler for
510 mentioning the patch.
511
512*ruby-1.8.7_p72-r1 (26 Nov 2008)
513*ruby-1.8.6_p287-r2 (26 Nov 2008)
514
515 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
516 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
517 +ruby-1.8.7_p72-r1.ebuild:
518 Fix problem with shortname constants #247790, already fixed in upstream SVN.
519 Thanks to Alex Legler for providing the patch.
520
521 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
522 -ruby-1.8.6_p287.ebuild:
523 Remove versions that will not become stable
524
525 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
526 ruby-1.8.6_p287-r1.ebuild:
527 ppc stable, bug #225465
528
529 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
530 ruby-1.8.6_p287-r1.ebuild:
531 amd64 stable wrt security bug #225465
532
533 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
534 alpha/ia64/x86 stable wrt #225465
535
536 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
537 ruby-1.8.6_p287-r1.ebuild:
538 Sparc stable --- Security Bug #225465 --- good since late August.
539
540 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
541 Stable on ppc64; bug #225465
542
543 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
544 Stable for HPPA (bug #225465).
545
546*ruby-1.8.6_p287-r1 (29 Aug 2008)
547
548 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
549 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
550 +ruby-1.8.6_p287-r1.ebuild:
551 Fix REXML security issues, bug #236060.
552
553 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
554 Add GLEP 56 USE flag descriptions.
555
556*ruby-1.8.7_p72 (15 Aug 2008)
557
558 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
559 +ruby-1.8.7_p72.ebuild:
560 bump 1.8.7 to latest patch release
561
562*ruby-1.8.6_p287 (11 Aug 2008)
563
564 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
565 Version bump for brown paper bag relelease.
566
567 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
568 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
569 Remove broken version in favor of the just-added 1.8.6_p286
570
571*ruby-1.8.6_p286 (10 Aug 2008)
572
573 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
574 Version bump to latest released version of ruby 1.8.6. This version fixes the
575 security issues reported in #225465 and #234224. The cjk USE flag has been
576 dropped since no compatible patches have been released yet.
577
578 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
579 ruby-1.8.6_p230.ebuild:
580 drop cjk from SRC_URI as well
581
582 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
583 Drop cjk support since the most recent oniguruma patches no longer apply to
584 this version, #230111.
585
586 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
587 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
588 Try to fix the security issues reported in #225465 for ruby 1.8.6.
589 Unfortunately the official p230 has a change which causes segmentation faults
590 for applications like Rails and RSpec, so we are reverting that specific
591 change.
592
593*ruby-1.8.7_p22 (29 Jun 2008)
594
595 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
596 +ruby-1.8.7_p22.ebuild:
597 bump 1.8.7 for security fix
598
599 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
600 nevermind, don't bump this yet
601
602*ruby-1.8.6_p230 (20 Jun 2008)
603
604 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
605 version bump
606
607*ruby-1.8.7 (10 Jun 2008)
608
609 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
610 +ruby-1.8.7.ebuild:
611 bump 1.8.7 to final
612
613*ruby-1.8.7_pre2 (21 Apr 2008)
614
615 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
616 +ruby-1.8.7_pre2.ebuild:
617 Version Bump
618
619*ruby-1.8.7_pre1 (16 Apr 2008)
620
621 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
622 Version bump. Drop cjk until a new version of oniguruma appears.
623
624 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
625 amd64 stable, bug 212264
626
627 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
628 Stable for HPPA (bug #212264).
629
630 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
631 ruby-1.8.6_p114.ebuild:
632 ppc stable, bug #212264
633
634 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
635 alpha/ia64 stable wrt #212264
636
637 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
638 ruby-1.8.6_p114.ebuild:
639 stable x86, security bug 212264
640
641 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
642 Sparc stable, Security Bug #212264, builds and installs, initial tests run
643 as expected.
644
645 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
646 Marking ruby-1.8.6_p114 ppc64 for bug 212264
647
648*ruby-1.8.6_p114 (05 Mar 2008)
649
650 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
651 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
652 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
653 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
654 Version bump for #212264. Remove old ebuilds.
655
656 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
657 alpha/ia64 stable wrt #208916
658
659 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
660 Stable on ppc wrt bug 208916
661
662 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
663 x86 stable, bug #208916
664
665 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
666 ruby-1.8.6_p111-r1.ebuild:
667 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
668
669 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
670 -files/ruby-1.8.6-exit-status.patch,
671 -files/ruby-1.8.6_p110-net-http-p111.patch,
672 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
673 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
674 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
675 Remove old versions
676
677 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
678 Stable on ppc64
679
680 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
681 Stable on amd64; bug 199191
682
683 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
684 alpha/ia64/sparc stable wrt #199191
685
686 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
687 Remove now-obsolete warning about coreutils versions, #203156.
688
689 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
690 Stable for HPPA (bug #199191).
691
692*ruby-1.8.6_p111-r1 (23 Dec 2007)
693
694 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
695 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
696 ssl USE flags. Patch to p113.
697
698 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
699 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
700
701 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
702 x86 stable, security bug #199191
703
704*ruby-1.8.6_p111 (23 Dec 2007)
705
706 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
707 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
708 Version bump with patch for bug #199191
709
710 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
711 Move dependency on (X)Emacs modes to PDEPEND.
712
713 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
714 Add back ~hppa keyword now that XEmacs support files have been keyworded,
715 bug 196413
716
717*ruby-1.8.6_p110-r2 (21 Oct 2007)
718
719 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
720 +ruby-1.8.6_p110-r2.ebuild:
721 Add emacs and xemacs USE flags and use them to pull in the correct editing
722 mode for each. Had to drop several arch keywords as reported on bug 196413.
723
724 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
725 amd64 stable, security bug 194236
726
727 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,
728 ruby-1.8.6_p110-r1.ebuild:
729 Stable on ppc64; bug #194236
730
731 09 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6-r1.ebuild:
732 amd64 stable, security bug 194236
733
734 08 Oct 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
735 Stable for HPPA (bug #194236).
736
737 08 Oct 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
738 alpha/ia64/sparc stable wrt security #194236
739
740 07 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
741 ruby-1.8.6_p110-r1.ebuild:
742 ppc stable, bug #194236
743
744 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
745 ruby-1.8.6_p110-r1.ebuild:
746 stable x86, security bug 194236
747
748 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
749 ruby-1.8.5_p113.ebuild:
750 stable x86, security bug 194236
751
752 07 Oct 2007; Richard Brown <rbrown@gentoo.org> -ruby-1.8.5_p35.ebuild,
753 -ruby-1.8.6_p36-r3.ebuild, -ruby-1.8.6_p36-r4.ebuild,
754 -ruby-1.8.6_p110.ebuild:
755 Remove old versions
756
757*ruby-1.8.6_p110-r1 (30 Sep 2007)
758*ruby-1.8.5_p113 (30 Sep 2007)
759
760 30 Sep 2007; Richard Brown <rbrown@gentoo.org>
761 +files/ruby-1.8.5_p113-net-http-p114.patch,
762 +files/ruby-1.8.6_p110-net-http-p111.patch, +ruby-1.8.5_p113.ebuild,
763 +ruby-1.8.6_p110-r1.ebuild:
764 Fix bug #194236. Bump 1.8.6 to p111 as p110-r1. Bump 1.8.5 to p114 as p113,
765 using 1.8.6-p110 as base ebuild.
766
767 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
768 More fixes from gentoo-dev and graaff
769
770 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
771 Implement suggestions from http://archives.gentoo.org/gentoo-dev/msg_147875.xml
772
773*ruby-1.8.6_p110 (24 Sep 2007)
774
775 24 Sep 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p110.ebuild:
776 Version bump
777
778*ruby-1.8.6_p36-r4 (26 Aug 2007)
779
780 26 Aug 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
781 +ruby-1.8.6_p36-r4.ebuild:
782 Use user LDFLAGS, #181436
4 783
5 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild, 784 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild,
6 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild: 785 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild:
7 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old 786 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old
8 ebuilds, including the currently stable 1.8.5_p2-r1, #189241. 787 ebuilds, including the currently stable 1.8.5_p2-r1, #189241.

Legend:
Removed from v.1.293  
changed lines
  Added in v.1.460

  ViewVC Help
Powered by ViewVC 1.1.20